using Sepehr.ApiGateway.Partners.Contracts.Flight.Refund.V3.RetrieveBooking.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.Refund.V3.RetrieveBooking.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.Refund.WebApi
{
    public class RetrieveBookingV3Api
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Flight/Refund/V3/RetrieveBooking",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
